package com.xy.utils.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 温度设置指令枚举
 */
@Getter
@AllArgsConstructor
public enum SetsEnum {

    TEMPERATURE("temperature", "温度设置指令"),

    ;

    /**
     * 任务类型
     */
    private String type;

    /**
     * 说明
     */
    private String msg;

    public static SetsEnum getTaskEnum(String type) {
        SetsEnum[] values = SetsEnum.values();
        for (SetsEnum qualityEnum : values) {
            if (qualityEnum.type.equals(type)) {
                return qualityEnum;
            }
        }
        return null;
    }
}
