package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceErrorsRecordDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 机器-故障表 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-01-09
 */
@RestMappingController("/device-errors-record")
public interface DeviceErrorsRecordService {
    @PostMapping("page")
    R<PageBean<DeviceErrorsRecordDto.Vo>> page(@RequestBody DeviceErrorsRecordDto.Page page);
}