package com.xy.utils.enums;

import lombok.Getter;

/**
 * <p>
 * 设备故障类型枚举
 * </p>
 *
 * @author hechunping
 * @since 2023/3/3
 */
@Getter
public enum DeviceErrorRecordTypesEnum {

    NET("1","联网故障"),
    DOOR_LOCK("2","门锁故障"),
    T("3","温控仪故障"),
    LIGHT("4","灯光故障"),
    CAMERA("4","摄像头故障"),
    COMPRESSOR("4","压缩机故障"),
    ;
    private String code;
    private String msg;
    DeviceErrorRecordTypesEnum(String code,String msg){
        this.code = code;
        this.msg = msg;
    }

}